#include <fcntl.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int main() {
	int fd;

	/*
	 * alternative Loesung:
	 *
	 * erst FD 1 schliessen => 1 ist kleinster freier FD
	 */
	close(1);

	/*
	 * ... und nun stdout.txt zum Schreiben etc. oeffnen
	 * liefert bei Erfolg 1 (den kleinsten freien FD)
	 */
	if ((fd = open("stdout.txt", O_WRONLY | O_CREAT | O_TRUNC, 0664)) < 0)
		perror("open"), exit(1);

	/*
	 * Jetzt geht alles, was auf stdout geschrieben wird,
	 * in die Datei stdout.txt!
	 */
	 
	puts("Hallo Welt!");

	return 0;
}
